"""
For the outputs of create_master_maps.py in yearly mode (which produces quad-by-quad
annual count maps of valid observations), combine the per quad vrts into 
GrIS wide VRTs. These GrIS wide VRTs can then be used in conjunction with the 
boxes, by stats_annual_counts_by_elev.py, to generate stats without worrying
about quadrant boundaries.

October 2020
"""

import numpy as np
import subprocess
import os

years = np.arange(1985, 2021)

for year in years:
	cmd = 'gdalbuildvrt master_{y}_count.vrt merge_*/master_*_{y}_count.vrt'.format(y=year)
	subprocess.call(cmd, shell=True)