""" Create a spatialite database from Google's Landsat index.csv.

Very slow!

"""


import csv
import spatialite
import datetime as dt

create_db = False
from_date = dt.date(2019,10,17)


 
conn = spatialite.connect('/scratch/landsat_gs.sqlite')
 
cur = conn.cursor()
 
 
reader = csv.reader(open('/scratch/bq-results-20200922-155113-suji9vkqw3go.csv', "r"))

columns = next(reader)

sql = 'SELECT InitSpatialMetadata()'
cur.execute(sql)

if create_db:
	sql = 'CREATE TABLE landsat(SCENE_ID TEXT, PRODUCT_ID TEXT, SPACECRAFT_ID TEXT, SENSOR_ID TEXT, DATE_ACQUIRED DATE, COLLECTION_NUMBER TEXT, COLLECTION_CATEGORY TEXT, SENSING_TIME DATE, DATA_TYPE TEXT, WRS_PATH NUMERIC, WRS_ROW NUMERIC, CLOUD_COVER NUMERIC, NORTH_LAT NUMERIC, SOUTH_LAT NUMERIC, WEST_LON NUMERIC, EAST_LON NUMERIC, TOTAL_SIZE NUMERIC, BASE_URL TEXT)'
	cur.execute(sql)
	#https://www.gaia-gis.it/spatialite-3.0.0-BETA/spatialite-cookbook/html/python.html
	sql = "SELECT AddGeometryColumn('landsat', 'geom', 4326, 'POLYGON', 2)"
	cur.execute(sql)
	sql = "SELECT CreateSpatialIndex('landsat','geom')"
	cur.execute(sql)
	conn.commit()

for row in reader:
	# if from_date is not None:
	# 	this_date = dt.datetime.strptime(row[], '%Y-%m-%d')
	# 	if this_date is < from_date:
	# 		continue

	north = row[12]
	south = row[13]
	west = row[14]
	east = row[15]
	bbox = "GeomFromText('POLYGON((%s %s, %s %s, %s %s, %s %s, %s %s))', 4326)" % (west,north, east,north, east,south, west,south, west,north)
	row.append(bbox)
	sql = "INSERT INTO landsat (SCENE_ID, PRODUCT_ID, SPACECRAFT_ID, SENSOR_ID, DATE_ACQUIRED, COLLECTION_NUMBER, COLLECTION_CATEGORY, SENSING_TIME, DATA_TYPE, WRS_PATH, WRS_ROW, CLOUD_COVER, NORTH_LAT, SOUTH_LAT, WEST_LON, EAST_LON, TOTAL_SIZE, BASE_URL, geom) VALUES ('%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', %s, %s, %s, %s, %s, %s, %s, %s, '%s', %s);" % tuple(row)
	cur.execute(sql)

conn.commit()


