import os
import pandas as pd

from eolearn.core import EOTask


class ImportDFTask(EOTask):

	def __init__(self, job_path, meta_key):
		self.jpath = job_path
		self.meta_key = meta_key
		return

	def execute(self, eopatch, filename=None):
		eopatch.meta_info[self.meta_key] = pd.read_csv(os.path.join(self.jpath, filename))
		return eopatch



class ExportDFTask(EOTask):

	def __init__(self, save_path=None, meta_feature_name=None):
		self.save_path = save_path
		self.meta_feature_name = meta_feature_name
		return

	def execute(self, eopatch, filename, meta_feature_name=None):

		if meta_feature_name is None:
			meta_feature_name = self.meta_feature_name
			
		df = eopatch.meta_info[meta_feature_name]
		
		if self.save_path is None:
			save_path = filename
		else:
			save_path = os.path.join(self.save_path, filename)
		
		df.to_csv(save_path)
		
		return eopatch